package java.util.function;

import java.util.Objects;

@FunctionalInterface
public interface BiConsumer<T, U>
{
    public abstract void accept(T p0, U p1);
    
    default public BiConsumer<T, U> andThen(BiConsumer<? super T, ? super U> obj) {
        Objects.requireNonNull(obj);
        return (o, o2)/* java.lang.Object,java.lang.Object, */ -> {
            this.accept(o, o2);
            p0.accept(o, o2);
            return;
        };
    }
}
